<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("conexion/$VpnEn.php");

$Cve_Modulo = "CMOD201506100189";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 1 - Dashboard
		$sqlP1DB = mysql_query("select COLOR_FRONTEND from dashboard_perfiles where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlP1DB)==0) echo "";
		else{
		$registroP1DB=mysql_fetch_array($sqlP1DB);
		}
		if (mysql_numrows($sqlP1DB)>0)
		{
		$ColFront=$registroP1DB["COLOR_FRONTEND"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select TIEMPO_INACTIVIDAD,DIAS_DISPONIBLES,TITULO_PAGINA from dashboard_config where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		$DiasDisp=$registroC1["DIAS_DISPONIBLES"];
		$TituPagi=$registroC1["TITULO_PAGINA"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesionesdb where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
						
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
			///Determinar si la Licencia aán esta Vigente
			$FechaLic=date("Y/m/d"); 
			if ($DiasDisp < $FechaLic)
			{
				echo "<script>alert('ATENCIÓN:\\n\\nTe informamos que tu licencia a expirado, serás redireccionado a la pagina indicada para que puedas continuar con el proceso de Actualización.\\n\\nAgradecemos tu comprensión.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=UpdateLicense.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ///Inicia IF Vencimiento de Licencia

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Monitoreo de Productividad Diaria en Devoluciones --> Dashboard Operativo | Dextra Logistica</title>
<link rel="shortcut icon" href="http://www.logsyswms.com/images/LIcon.ico"> 
<!-- Inicia Clases para Calendario -->
<link rel="stylesheet" href="//logsyswms.com/CalendarioWMS/CSS/jquery-ui.css">
<script src="//logsyswms.com/CalendarioWMS/JS/jquery-1.10.2.js"></script>
<script src="//logsyswms.com/CalendarioWMS/JS/jquery-ui.js"></script>

<script type="text/javascript">
jQuery(function($){
	$.datepicker.regional['es'] = {
		closeText: 'Cerrar',
		prevText: '&#x3c;Ant',
		nextText: 'Sig&#x3e;',
		currentText: 'Hoy',
		monthNames: ['Enero','Febrero','Marzo','Abril','Mayo','Junio',
		'Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'],
		monthNamesShort: ['Ene','Feb','Mar','Abr','May','Jun',
		'Jul','Ago','Sep','Oct','Nov','Dic'],
		dayNames: ['Domingo','Lunes','Martes','Mi&eacute;rcoles','Jueves','Viernes','S&aacute;bado'],
		dayNamesShort: ['Dom','Lun','Mar','Mi&eacute;','Juv','Vie','S&aacute;b'],
		dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','S&aacute;'],
		weekHeader: 'Sm',
		dateFormat: 'yy/mm/dd',
		firstDay: 1,
		isRTL: false,
		showMonthAfterYear: false,
		yearSuffix: ''};
	$.datepicker.setDefaults($.datepicker.regional['es']);
});    

        $(document).ready(function() {
           $("#datepicker").datepicker();
        });
		
		$(document).ready(function() {
           $("#datepicker2").datepicker();
        });
</script>
<!-- Termina Clases para Calendario -->            
</head>
<body>

<Br><Br><Br><Br>

<form id="neo" name="neo" method="post" action="KPI_12_Exe-FillRate_DemandaSurtidoRango2.php">
<table width="62%" border="0" align="center">
  <tr>
    <td colspan="5" align="center"><font size="2" color="#666666" face="Verdana, Geneva, sans-serif">Selecciona el Rango de Fechas</font></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td width="29%"><font size="2" color="#666666" face="Verdana, Geneva, sans-serif">Fecha Inicio:</font></td>
    <td width="24%"><input name="txt_RF1" type="text" class="textoINPUT" id="datepicker" size="10" style="text-align:center" /></td>
    <td width="6%">&nbsp;</td>
    <td width="23%"><font size="2" color="#666666" face="Verdana, Geneva, sans-serif">Fecha Fin:</font></td>
    <td width="18%"><input name="txt_RF2" type="text" class="textoINPUT" id="datepicker2" size="10" style="text-align:center" /></td>
  </tr>
  <tr>
    <td colspan="5">
    <input name="UsuKP" / type="text" id="UsuKP"  style='visibility:hidden' value="<?PHP echo $UsuEn; ?>" size="1" />
    <input name="TokenKP" / type="text" id="TokenKP"  style='visibility:hidden' value="<?PHP echo $TokEn; ?>" size="1" />
    <input name="IdDAcce" / type="text" id="IdDAcce"  style='visibility:hidden' value="<?PHP echo $IDSeEn; ?>" size="1" />
    <input name="CtaSKP" / type="text" id="CtaSKP"  style='visibility:hidden' value="<?PHP echo $CtaSesionEn; ?>" size="1" />
    <input name="VPN" / type="text" id="VPN"  style='visibility:hidden' value="<?PHP echo $VpnEn; ?>" size="1" />
    <input name="LT" / type="text" id="LT"  style='visibility:hidden' value="<?PHP echo $LtEn; ?>" size="1" />
    </td>
  </tr>
  <tr>
    <td colspan="5" align="center"><input type="submit" name="button" class="button" id="button" value="Aplicar" style="height:25px; width:80px"/></td>
  </tr>
</table>
</form>

</body>
</html>

<?PHP
} ///Termina IF Vencimiento de Licencia
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>